<?php

class pe_edu_handler_field_program_title extends views_handler_field {
  function construct() {
    parent::construct();
    $this->additional_fields['uid'] = 'uid';
  }
  
  function query() {
    $this->ensure_my_table();
    $this->add_additional_fields();
  }
  
  function render($values) {
    $db_info = _get_content_database_info('field_acad_program_id', 'profileedu');
      	
    $query = '';
    $query .= "SELECT n1.nid, n1.uid, u.name, n3.title AS program_title \n";
    $query .= " FROM ({users} u, {node} n1) \n";
    $query .= " INNER JOIN {node} n2 ON (n1.uid = n2.uid AND n2.type = '%s') \n";
    $query .= " INNER JOIN ". $db_info['table'] ." ON (". $db_info['table'] .".nid  = n2.nid)\n";
    $query .= " INNER JOIN {node} n3 ON (n3.nid = ". $db_info['columns']['nid']['column'] .") \n";
    $query .= " WHERE n1.type = '%s' \n";
    $query .= " AND n1.uid = %d \n";
    
    $args = array('profileedu', 'profile', $values->{$this->aliases['uid']});
    
    $program = db_fetch_object(db_query($query, $args));
    
    return check_plain($program->program_title);
    
  }

}
